Bug 808494 - [abrt] hplip-gui-3.12.2-3.fc16: pml.py:177:ConvertFromPMLDataFormat:error: unpack requires a string argument of length 4
Summary: [abrt] hplip-gui-3.12.2-3.fc16: pml.py:177:ConvertFromPMLDataFormat:error: un...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb385a90da3fab17ff54741f134...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-30 14:24 UTC by Darius Ivanauskas
Modified: 2012-04-04 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-04 15:25:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 972672 0 None None None Never

Description Darius Ivanauskas 2012-03-30 14:24:32 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/hp-systray --force-startup
comment:        just launched
executable:     /usr/bin/hp-systray
kernel:         3.3.0-4.fc16.x86_64
reason:         pml.py:177:ConvertFromPMLDataFormat:error: unpack requires a string argument of length 4
time:           Fri 30 Mar 2012 05:13:03 PM EEST
uid:            1000
username:       dasi

backtrace:
:pml.py:177:ConvertFromPMLDataFormat:error: unpack requires a string argument of length 4
:
:Traceback (most recent call last):
:  File "/usr/bin/hp-systray", line 141, in <module>
:    hpdio.run(r2, w3)
:  File "/usr/share/hplip/hpdio.py", line 140, in run
:    dev.queryDevice()
:  File "/usr/share/hplip/base/device.py", line 1704, in queryDevice
:    status_block = status.StatusType3(self, self.deviceID)
:  File "/usr/share/hplip/base/status.py", line 507, in StatusType3
:    result_code, colorant_index = dev.getPML( oid )
:  File "/usr/share/hplip/base/device.py", line 2014, in getPML
:    converted_data = pml.ConvertFromPMLDataFormat(data, oid[1], desired_int_size)
:  File "/usr/share/hplip/base/pml.py", line 177, in ConvertFromPMLDataFormat
:    return struct.unpack(">i", data)[0]
:error: unpack requires a string argument of length 4
:
:Local variables in innermost frame:
:data: '\x01\x15CNCJ299144'
:desired_int_size: 4
:data_type: 8

smolt_data:
:
:
:General
:=================================
:UUID: 4dff95ca-9ea4-4927-8143-22ebbed558b8
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6984.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2700K CPU @ 3.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 4401
:System Memory: 15056
:System Swap: 15999
:Vendor: Gigabyte Technology Co., Ltd.
:System: Z68X-UD3H-B3 
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6987:37234:5208:45056) pci, ahci, STORAGE, N/A
:(32902:256:0:0) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:261:5208:20480) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:257:5208:20480) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4739:34962:0:0) pci, None, PCI/PCI, N/A
:(32902:7202:5208:20481) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7170:5208:45061) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7236:5208:20481) pci, None, PCI/ISA, Z68 Express Chipset Family LPC Controller
:(7023:28707:7023:28707) pci, xhci_hcd, USB, N/A
:(32902:7213:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:7226:5208:7226) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:290:5208:53248) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7192:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:5208:41266) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(7023:28707:5208:20487) pci, xhci_hcd, USB, N/A
:(32902:7206:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(4358:12356:5208:4096) pci, firewire_ohci, FIREWIRE, GA-7VT600-1394 Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dasi2700-LogVol00 / ext4 4096 4096 19017262 17536969 17346659 4759552 4629708 4629708
:/dev/mapper/vg_dasi2700-LogVol02 /var ext4 4096 4096 12778715 12349150 11708946 3203072 3193326 3193326
:/dev/mapper/vg_dasi2700-LogVol03 /home ext4 4096 4096 214267253 177902353 167178206 53624832 47060213 47060213
:/dev/mapper/vg_dasi2700-LogVol01 /tmp ext4 4096 4096 12778715 12554936 11914732 3203072 3202992 3202992
:

Comment 3 Jiri Popelka 2012-04-04 15:25:01 UTC
Is it possible to reproduce or did it happen only once ?

If you are able to reproduce the problem, please follow the instructions at
https://bugs.launchpad.net/hplip/+bug/972672


Note You need to log in before you can comment on or make changes to this bug.